This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1288888 - 20 GB virtual memory usage?
20 GB virtual memory usage?
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-06 17:05 EST by Harald Reindl
Modified: 2016-12-20 11:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:42:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
top output in a file to make more readable with wide lines (1.03 KB, text/plain)
2016-02-13 13:43 EST, Reik Red
no flags Details

  None (edit)
Description Harald Reindl 2015-12-06 17:05:33 EST
* recently a OOM killer for Firefox
* htop shows currently 20.3 GB VIRT memory
* htop shows currently 638 MB RES memory

are the upstream developers drunken?
4 open tabs - hell i run complete operating systems with that ressources

BTW:
the tabs in "page information" for "livehttpheaders" and "view cookies" extensions are empty
Comment 1 Reik Red 2016-02-13 13:40:56 EST
I have the same observation about very high virtual memory being reported while physical memory is reasonable. I will try to paste the salient lines from "top" here, if not readable I will try to make an attachment.

As you can see, not ALL firefox instances report high virtual memory usage.

Likewise, I have seen high virtual memory in version firefox 42.0 and in firefox 44.0.2, although in my top listing below it is only v44.0.2 that is exhibiting the symptom at the moment.

KiB Mem:  32807124 total, 27709260 used,  5097864 free,    27364 buffers
KiB Swap:        0 total,        0 used,        0 free,   590960 cached

 PR  NI    VIRT    RES    SHR S  %CPU %MEM     TIME+ COMMAND                                                                    
 20   0 4919.4m 2.815g  70.2m S  56.1  9.0   1245:56 /usr/local/firefox-44.0.2/firefox --class Firefox0 --sync -P prof0         
*20   0 28.513g 2.799g  60.3m S  59.1  8.9   1312:12 /usr/local/firefox-44.0.2/firefox --class Firefox1 --sync -P default       
*20   0 22.497g 2.608g  59.5m S   1.5  8.3 169:01.53 /usr/local/firefox-44.0.2/firefox --class Firefox2 --sync -P prof2         
 20   0 4197.9m 2.391g  67.6m S  69.7  7.6   2750:58 /usr/local/firefox-42.0/firefox   --class Firefox7 --sync -P prof7           
 20   0 2537.0m 2.191g  25.0m S   4.3  7.0   1296:29 X :0 -depth 24                                                             
 20   0 2780.8m 1.340g  56.1m S   4.0  4.3 100:33.83 /usr/local/firefox-44.0.2/firefox --class Firefox0e --sync -P prof0e  


The processes marked with * have the large virtual memory. Note also that 28.513g is larger than my physical memory usage of 
27,709,260k, but there is 0 swap used. So the numbers are quite inconsistent.

According to Harald, above, the symptom is also in fc23, so please do not ignore just because my particular case is in fc19/x64/.
Comment 2 Reik Red 2016-02-13 13:43 EST
Created attachment 1123872 [details]
top output in a file to make more readable with wide lines
Comment 3 Harald Reindl 2016-02-13 14:30:17 EST
[root@srv-rhsoft:~]$ top -n 1 -b | grep firefox
 7367 harry     20   0 20.381g 683924  68324 S   0.0  4.2 140:41.33 firefox

[root@srv-rhsoft:~]$ free -h
              total        used        free      shared  buff/cache   available
Mem:            15G        4.1G        617M        346M         10G         10G
Swap:          3.5G        319M        3.1G
Comment 4 Fedora End Of Life 2016-11-24 09:01:41 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 11:42:17 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.